DK API 文档

bilibili 06

11 个接口

GETfetch user post videos v2

GET https://dkai.store/api/v1/bilibili/web/fetch_user_post_videos_v2

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/bilibili/web/fetch_user_post_videos_v2?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user profile

GET https://dkai.store/api/v1/bilibili/web/fetch_user_profile

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/bilibili/web/fetch_user_profile?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user relation stat

GET https://dkai.store/api/v1/bilibili/web/fetch_user_relation_stat

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/bilibili/web/fetch_user_relation_stat?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user up stat

GET https://dkai.store/api/v1/bilibili/web/fetch_user_up_stat

1 积分 / 成功调用

参数位置要求说明
uidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/bilibili/web/fetch_user_up_stat?uid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video comments

GET https://dkai.store/api/v1/bilibili/web/fetch_video_comments

1 积分 / 成功调用

参数位置要求说明
bv_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/bilibili/web/fetch_video_comments?bv_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video danmaku

GET https://dkai.store/api/v1/bilibili/web/fetch_video_danmaku

1 积分 / 成功调用

参数位置要求说明
cidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/bilibili/web/fetch_video_danmaku?cid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video detail

GET https://dkai.store/api/v1/bilibili/web/fetch_video_detail

1 积分 / 成功调用

参数位置要求说明
aidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/bilibili/web/fetch_video_detail?aid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video parts

GET https://dkai.store/api/v1/bilibili/web/fetch_video_parts

1 积分 / 成功调用

参数位置要求说明
bv_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/bilibili/web/fetch_video_parts?bv_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video play info

GET https://dkai.store/api/v1/bilibili/web/fetch_video_play_info

1 积分 / 成功调用

参数位置要求说明
urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/bilibili/web/fetch_video_play_info?url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video playurl

GET https://dkai.store/api/v1/bilibili/web/fetch_video_playurl

1 积分 / 成功调用

参数位置要求说明
bv_idquery必填
cidquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/bilibili/web/fetch_video_playurl?bv_id=VALUE&cid=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video subtitle

GET https://dkai.store/api/v1/bilibili/web/fetch_video_subtitle

1 积分 / 成功调用

参数位置要求说明
a_idquery必填
c_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/bilibili/web/fetch_video_subtitle?a_id=VALUE&c_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。